/*******************************************************************
 * Fritz Fun                                                       *
 * Created by Jan-Michael Brummer                                  *
 * All parts are distributed under the terms of GPLv2. See COPYING *
 *******************************************************************/

/**
 * \file menucallbacks.h
 * \brief contains the callbacks used in menus
 */

#ifndef MENUCALLBACKS_H
#define MENUCALLBACKS_H

gboolean destroy( GtkWidget *psWidget, gpointer pData );
void openCallMonitor( void );
void closeCallMonitor( void );
void trayIconToggled( void );
void trayIconAddressBook( void );
void trayIconProfile( GtkMenuItem *psItem, gpointer pUserData );
void trayIconDialNumber( GtkWidget *psWidget, gchar *pnNumber );
void trayIconReconnect( void );
void trayIconIpToClipboard( void );
void trayIconMute( GtkCheckMenuItem *psItem, gpointer pUserData );
void trayIconSetDiversity( GtkMenuItem *psItem, struct sDiversity *psDiversity );
void trayIconHelp( GtkMenuItem *psItem, struct sDiversity *psDiversity );
void trayIconReadme( GtkMenuItem *psItem, struct sDiversity *psDiversity );
void menuBarSetActiveProfile( GtkAction *start, GtkAction *current );
void menuBarDialNumber( GtkAction *dialAction );

#endif
