#ifndef REMOTE_H
#define REMOTE_H

#include <gtk/gtk.h>

typedef void ( *remoteCallFunc )( void *, void * );

struct sRemoteCallPort {
	int anFd[ 2 ];
	GIOChannel *psChannelIn;
	GIOChannel *psChannelOut;
	GCond *psCondition;
	GMutex *psMutex;
	GThread *psOwner;
	guint nGtkInputTag;
};

struct sRemoteCall {
	remoteCallFunc pFunc;
	struct sRemoteCallPort *psPort;
	void *pContext;
	void *pData;
};

struct sRemoteCallPort *remoteGetMainPort( void );
int remoteCallInit( struct sRemoteCallPort *psPort );
int remoteCallRegister( struct sRemoteCallPort *psPort );
int remoteCallInvoke( struct sRemoteCallPort *psPort, remoteCallFunc pFnc, void *pContext, void *pData );
int InitRemotePort( void );

#endif
