/*******************************************************************
 * Fritz Fun                                                       *
 * Created by Jan-Michael Brummer                                  *
 * All parts are distributed under the terms of GPLv2. See COPYING *
 *******************************************************************/

/**
 * \file urlHandler.h
 * \brief URL Handler header
 */

#ifndef URLHANDLER_H
#define URLHANDLER_H

#include <curl/curl.h>

struct sUrlHandler {
	CURL *psHandle;
	gchar *pnData;
	gchar *pnPost;
	gint nSize;
};

gint readUrl( struct sUrlHandler *psHandler, struct sProfile *psProfile );
void setPostData( struct sUrlHandler *psHandler, char *pnString, ... );
struct sUrlHandler *urlHandler( const char *pnHost, int nPort );
int freeHandler( struct sUrlHandler *psHandler );

#endif
