/*******************************************************************
 * Fritz Fun                                                       *
 * Created by Jan-Michael Brummer & Louis Lagendijk                *
 * All parts are distributed under the terms of GPLv2. See COPYING *
 *******************************************************************/

/**
 * \file sources.h
 * \brief Interface for the different sources implementations
 */

struct sEbookData {
	char *pnEbookName;
	char *pnEbookId;
}; 

const gchar *getEbookId( ESource *psEsource );
const gchar *getEbookName( ESource *psEsource );
const gchar *getSelectedEbookId( void );
void setSelectedEbookId( const gchar *pnId );
EBookClient  *getSelectedEbookClient();
GList *getEbooksList( void );
void freeEbooksList( GList *psEbooksList );
